const chalk = require('chalk')
const scpClient = require('scp2')
let server = {}

//需要根据不同项目进行配置
console.log(chalk.white('部署环境:'+ process.env.NODE_ENV))
if (process.env.NODE_ENV === 'prod'){
  server = {
    host:'172.16.90.65',//服务器IP
    port:22,//服务器端口
    username:'root',//服务器ssh登录用户名
    password:'hongwei$123',//服务器ssh登录密码
    path:'/www/wwwroot/tourismmer.dev.gztjy.top'//服务器web目录
  }
}else{
  server = {
    host:'172.16.90.64',//服务器IP
    port:22,//服务器端口
    username:'root',//服务器ssh登录用户名
    password:'hongwei$123',//服务器ssh登录密码
    path:'/www/wwwroot/tourismmer.dev.gztjy.top'//服务器web目录
  }
}

console.log(chalk.blue('项目部署到服务器:'+ server.host))
console.log(chalk.blue('部署目录:'+ server.path))
scpClient.scp('dist/', server ,(err)=>{
  console.log(chalk.green('部署完成'))
  if(err){
    console.log(chalk.red('部署失败'))
    throw err
  }else{
    console.log(chalk.green('部署成功'))
  }
})
